Package com.ocient.jdbc

# Class XGResultSet.OcientResultSetMetadata

java.lang.Object
com.ocient.jdbc.XGResultSet.OcientResultSetMetadata

Enclosing class:
  XGResultSet

public static class XGResultSet.OcientResultSetMetadata extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`XGResultSet.OcientResultSetMetadata.Builder`

## Field Summary

Fields
Modifier and Type
Field
Description
`final Map<String,Integer>`
`caseInsensitiveCols2Pos`
`final Map<String,Integer>`
`cols2Pos`
`final Map<String,String>`
`cols2Types`
`final NavigableMap<Integer,String>`
`pos2Cols`

## Constructor Summary

Constructors
Constructor
Description
`OcientResultSetMetadata(Map<String,Integer> cols2Pos, Map<String,Integer> caseInsensitiveCols2Pos, NavigableMap<Integer,String> pos2Cols, Map<String,String> cols2Types)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cols2Pos

public final Map<String,Integer> cols2Pos

### caseInsensitiveCols2Pos

public final Map<String,Integer> caseInsensitiveCols2Pos

### pos2Cols

public final NavigableMap<Integer,String> pos2Cols

### cols2Types

public final Map<String,String> cols2Types

## Constructor Details

### OcientResultSetMetadata

public OcientResultSetMetadata(Map<String,Integer> cols2Pos, Map<String,Integer> caseInsensitiveCols2Pos, NavigableMap<Integer,String> pos2Cols, Map<String,String> cols2Types)